## org.eclipse.emf.edit.ui.action
Class CopyAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.actions.BaseSelectionListenerAction
                      org.eclipse.emf.edit.ui.action.CommandActionHandler
                          org.eclipse.emf.edit.ui.action.CopyAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

    public class CopyAction

extends CommandActionHandler

A copy action is implemented by creating a `CopyToClipboardCommand`.

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.action.CommandActionHandler
`command, domain`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`CopyAction()`
`CopyAction(EditingDomain domain)`

Method Summary
`Command` `createCommand(java.util.Collection<?> selection)` This default implementation simply returns `UnexecutableCommand.INSTANCE`.
`void` `setActiveEditor(IEditorPart editorPart)` Deprecated. As of EMF 2.1.0, replaced by `setActiveWorkbenchPart(org.eclipse.ui.IWorkbenchPart)`.
`void` `setActiveWorkbenchPart(IWorkbenchPart workbenchPart)`

Methods inherited from class org.eclipse.emf.edit.ui.action.CommandActionHandler
`getEditingDomain, run, setEditingDomain, updateSelection`

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`clearCache, getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### CopyAction

    public CopyAction(EditingDomain domain)

### CopyAction

    public CopyAction()

Method Detail

### createCommand

    public Command createCommand(java.util.Collection<?> selection)

  Description copied from class: `CommandActionHandler`
  This default implementation simply returns `UnexecutableCommand.INSTANCE`.

  Overrides:
    `createCommand` in class `CommandActionHandler`

### setActiveEditor

    @Deprecated
    public void setActiveEditor(IEditorPart editorPart)

  Deprecated. As of EMF 2.1.0, replaced by `setActiveWorkbenchPart(org.eclipse.ui.IWorkbenchPart)`.

### setActiveWorkbenchPart

    public void setActiveWorkbenchPart(IWorkbenchPart workbenchPart)

  Since:
    2.1.0

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.